Page MenuHomePhabricator

Wikimania Hackathon Volunteer Group: Updating wiki with projects
Closed, ResolvedPublic

Description

This is a task to collect ideas and progress from the group of volunteers who agreed to "I can occasionally wander around the hackathon, ask people what they are working on, add the projects to the wiki" at the Wikimania Hackathon 2017.

@Quiddity will be the contact and leader of this volunteer group (see image for identification :)

Your task is to make sure that the projects are documented. Please also remind other participants to sign up for the hackathon showcase, and to write ongoing topics on their table's sign.

Here are the ideas for this group of hackathon volunteers, more ideas are welcome:

  • Take some time at the event to make sure that everyone’s work has a Phabricator task associated with this workboard: https://phabricator.wikimedia.org/project/board/2805/
  • That groups and breakout sessions are taking notes somewhere (either on a wiki page, a doc, or an etherpad) and that it is linked to their phabricator task.
  • You can help make sure all groups have their location on the physical map at the help desk.
  • Help people sign their projects up for the showcase (this will be a task for Sunday - I will send more details on how they can sign up in my next email)
  • Make sure people are updating the status of their projects during the hackathon here on the wiki: (ANDRE's featured task list when ready), and adding a new ideas as they come up.
  • If you come across a group that needs help from someone with a specific skill-set or if you come across a group that is able to teach a specific skill you can add that to the skill-share column here: https://phabricator.wikimedia.org/project/board/2805/ and also to the skill-share physical wall that will be at the event.

If you did not sign up for this group but would like to be involved, please add yourself here or email @Quiddity

Event Timeline

Rfarrand created this task.Jun 23 2017, 9:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2017, 9:32 PM
Rfarrand triaged this task as Medium priority.Jun 23 2017, 9:43 PM
Quiddity updated the task description. (Show Details)Aug 2 2017, 9:18 PM

43 volunteers signed up to help with this task. Here is the email that was written by Nick and sent out today.
If you still want to help, just comment here!

Hello Everyone!
Thank you for offering to help by occasionally wandering around the hackathon, to assist & encourage people to document their projects. This is important because it shows other participants what they could contribute to during the event, and shows non-attendees what we all did.

There are a few ways to document what yourself and other people are working on:
All tables will have small signboards. Please encourage people to write their project/topic name and phabricator task# on that.
All projects should have associated Phabricator tasks - check the task, and see if the description could be improved; Good descriptions get more collaboration! Encourage people to add update-comments to their tasks, detailing their progress or blockers.
There will be sheets of paper with Templated sections available at the Helpdesk, that anyone can use to write down a quick summary of their project - either as a guide for their Showcase presentation, or just as a quick TLDR that anyone walking by their table can read without disturbing them!
There will be a large poster-map of the venue's rooms, located near the Helpdesk, and we encourage everyone to add notes to that, giving details on what projects are happening at what tables.
The etherpad for the Showcase: https://etherpad.wikimedia.org/p/Wikimania_hackathon_showcase_2017 (note: the showcase is a short 1 hour on Sunday, but anyone who cannot fit (or does not want to present in front of a large audience) will be encouraged to take part in a streaming youtube meeting in September)
Lastly, if you have an important discussion, either as part of a session or just informally, write down a summary somewhere permanent!

There are more details and ideas in the task for this: https://phabricator.wikimedia.org/T168754 -- Please subscribe to that, and feel free to add ideas!

Also, if you see anyone looking lost or frustrated, see if you can help them, or send them to the helpdesk!

Thank you for your help, and we will see you there!
Rachel and Nick

P.s. If you have changed your mind about being able to help with this, please email us, and we will remove you from the distribution list. There are 43 current volunteers for this task! <3

greg awarded a token.Aug 4 2017, 5:32 PM
greg added a subscriber: greg.

@Quiddity please add any notes or lessons learned from the volunteer group here so we don't loose them for next time and then close the task when you are ready. If you are not ready to close the task because you have some following up to do or need help with something please also list those details here.

Quiddity closed this task as Resolved.Aug 21 2017, 11:43 PM

As always, it was complicated to get updates to ongoing work, especially on the first day.

Communication: There was random communication between the people who volunteered to help with this, mainly via help-desk drop-ins. It wasn't easy to avoid overlapping/repetitious reminders to tables/people. However I don't think an entire new channel/mailing list would help (signal to noise problem), so we probably need to reevaluate.

For next time, I think it might be better to change the call-to-action for everyone into something like this (instead of asking for specific volunteers):

  • Please update (single specific location) with what you have been working on, on the morning of the second day.

The single location could be either the showcase etherpad (minimizes edit-conflicts), or a dedicated wikipage.

Asking for additional updates in phab tasks was overly hard to track, plus many people were working on multiple things. However it probably has longer-term benefit, so we should still mention/encourage it.

We didn't attempt the physical map of tables. Next event, if the space assigned is as optimal (a single primary room), then we should.

Qgil awarded a token.Aug 29 2017, 7:41 PM